<?php
// @codingStandardsIgnoreFile
/**
 * @file
 * A database agnostic dump for testing purposes.
 *
 * This file was generated by the Drupal 8.0 db-tools.php script.
 */

use Drupal\Core\Database\Database;

$connection = Database::getConnection();

$connection->schema()->createTable('filters', array(
  'fields' => array(
    'fid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'format' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'module' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
    'delta' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'fid',
  ),
  'unique keys' => array(
    'fmd' => array(
      'format',
      'module',
      'delta',
    ),
  ),
  'indexes' => array(
    'list' => array(
      'format',
      'weight',
      'module',
      'delta',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('filters')
  ->fields(array(
    'fid',
    'format',
    'module',
    'delta',
    'weight',
  ))
  ->values(array(
    'fid' => '1',
    'format' => '1',
    'module' => 'filter',
    'delta' => '2',
    'weight' => '0',
  ))
  ->values(array(
    'fid' => '2',
    'format' => '1',
    'module' => 'filter',
    'delta' => '0',
    'weight' => '1',
  ))
  ->values(array(
    'fid' => '3',
    'format' => '1',
    'module' => 'filter',
    'delta' => '1',
    'weight' => '2',
  ))
  ->values(array(
    'fid' => '4',
    'format' => '1',
    'module' => 'filter',
    'delta' => '3',
    'weight' => '10',
  ))
  ->values(array(
    'fid' => '5',
    'format' => '2',
    'module' => 'filter',
    'delta' => '2',
    'weight' => '0',
  ))
  ->values(array(
    'fid' => '6',
    'format' => '2',
    'module' => 'filter',
    'delta' => '1',
    'weight' => '1',
  ))
  ->values(array(
    'fid' => '7',
    'format' => '2',
    'module' => 'filter',
    'delta' => '3',
    'weight' => '10',
  ))
  ->execute();

$connection->schema()->createTable('filter_formats', array(
  'fields' => array(
    'format' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'roles' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'cache' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'format',
  ),
  'unique keys' => array(
    'name' => array(
      'name',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('filter_formats')
  ->fields(array(
    'format',
    'name',
    'roles',
    'cache',
  ))
  ->values(array(
    'format' => '1',
    'name' => 'Filtered HTML',
    'roles' => ',1,2,',
    'cache' => '1',
  ))
  ->values(array(
    'format' => '2',
    'name' => 'Full HTML',
    'roles' => '',
    'cache' => '1',
  ))
  ->execute();

$connection->schema()->createTable('languages', array(
  'fields' => array(
    'language' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '12',
      'default' => '',
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
    'native' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
    'direction' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'enabled' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'plurals' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'formula' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'domain' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'prefix' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'javascript' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'language',
  ),
  'indexes' => array(
    'list' => array(
      'weight',
      'name',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('languages')
->fields(array(
  'language',
  'name',
  'native',
  'direction',
  'enabled',
  'plurals',
  'formula',
  'domain',
  'prefix',
  'weight',
  'javascript',
))
->values(array(
  'language' => 'en',
  'name' => 'English',
  'native' => 'English',
  'direction' => '0',
  'enabled' => '1',
  'plurals' => '0',
  'formula' => '',
  'domain' => '',
  'prefix' => '',
  'weight' => '0',
  'javascript' => '',
))
->values(array(
  'language' => 'is',
  'name' => 'Icelandic',
  'native' => 'Íslenska',
  'direction' => '0',
  'enabled' => '1',
  'plurals' => '0',
  'formula' => '',
  'domain' => '',
  'prefix' => 'is',
  'weight' => '0',
  'javascript' => '',
))
->execute();
$connection->schema()->createTable('locales_source', array(
  'fields' => array(
    'lid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'location' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'textgroup' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => 'default',
    ),
    'source' => array(
      'type' => 'blob',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'version' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '20',
      'default' => 'none',
    ),
  ),
  'primary key' => array(
    'lid',
  ),
  'indexes' => array(
    'source' => array(
      array(
        'source',
        '30',
      ),
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('locales_target', array(
  'fields' => array(
    'lid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'translation' => array(
      'type' => 'blob',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'language' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '12',
      'default' => '',
    ),
    'plid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'plural' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'language',
    'lid',
    'plural',
  ),
  'indexes' => array(
    'lid' => array(
      'lid',
    ),
    'plid' => array(
      'plid',
    ),
    'plural' => array(
      'plural',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('node', array(
  'fields' => array(
    'nid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'vid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'language' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '12',
      'default' => '',
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'status' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '1',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'changed' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'comment' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'promote' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'moderate' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'sticky' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'tnid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'translate' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'nid',
  ),
  'unique keys' => array(
    'vid' => array(
      'vid',
    ),
  ),
  'indexes' => array(
    'node_changed' => array(
      'changed',
    ),
    'node_created' => array(
      'created',
    ),
    'node_moderate' => array(
      'moderate',
    ),
    'node_promote_status' => array(
      'promote',
      'status',
    ),
    'node_status_type' => array(
      'status',
      'type',
      'nid',
    ),
    'node_title_type' => array(
      'title',
      array(
        'type',
        '4',
      ),
    ),
    'node_type' => array(
      array(
        'type',
        '4',
      ),
    ),
    'uid' => array(
      'uid',
    ),
    'tnid' => array(
      'tnid',
    ),
    'translate' => array(
      'translate',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('node')
->fields(array(
  'nid',
  'vid',
  'type',
  'language',
  'title',
  'uid',
  'status',
  'created',
  'changed',
  'comment',
  'promote',
  'moderate',
  'sticky',
  'tnid',
  'translate',
))
->values(array(
  'nid' => '1',
  'vid' => '1',
  'type' => 'recipe',
  'language' => '',
  'title' => 'Salt water',
  'uid' => '1',
  'status' => '1',
  'created' => '1506899261',
  'changed' => '1506901018',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '2',
  'vid' => '2',
  'type' => 'recipe',
  'language' => 'en',
  'title' => 'English recipe',
  'uid' => '1',
  'status' => '1',
  'created' => '1506901227',
  'changed' => '1506901227',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '2',
  'translate' => '0',
))
->values(array(
  'nid' => '3',
  'vid' => '3',
  'type' => 'recipe',
  'language' => 'is',
  'title' => 'Icelandic recipe',
  'uid' => '1',
  'status' => '1',
  'created' => '1506901425',
  'changed' => '1506901425',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '2',
  'translate' => '0',
))
->execute();
$connection->schema()->createTable('node_access', array(
  'fields' => array(
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'gid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'realm' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'grant_view' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'grant_update' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'grant_delete' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'nid',
    'gid',
    'realm',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('node_access')
->fields(array(
  'nid',
  'gid',
  'realm',
  'grant_view',
  'grant_update',
  'grant_delete',
))
->values(array(
  'nid' => '0',
  'gid' => '0',
  'realm' => 'all',
  'grant_view' => '1',
  'grant_update' => '0',
  'grant_delete' => '0',
))
->execute();

$connection->schema()->createTable('node_revisions', array(
  'fields' => array(
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'vid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'body' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'big',
    ),
    'teaser' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'big',
    ),
    'log' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'big',
    ),
    'timestamp' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'format' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'vid',
  ),
  'indexes' => array(
    'nid' => array(
      'nid',
    ),
    'uid' => array(
      'uid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('node_revisions')
->fields(array(
  'nid',
  'vid',
  'uid',
  'title',
  'body',
  'teaser',
  'log',
  'timestamp',
  'format',
))
->values(array(
  'nid' => '1',
  'vid' => '1',
  'uid' => '1',
  'title' => 'Salt water',
  'body' => 'Basic salt water.',
  'teaser' => 'Basic salt water.',
  'log' => '',
  'timestamp' => '1506901018',
  'format' => '1',
))
->values(array(
  'nid' => '2',
  'vid' => '2',
  'uid' => '1',
  'title' => 'English recipe',
  'body' => 'A test recipe with English set as the language.',
  'teaser' => 'A test recipe with English set as the language.',
  'log' => '',
  'timestamp' => '1506901227',
  'format' => '1',
))
->values(array(
  'nid' => '3',
  'vid' => '3',
  'uid' => '1',
  'title' => 'Icelandic recipe',
  'body' => 'A test recipe with Icelandic set as the language.',
  'teaser' => 'A test recipe with Icelandic set as the language.',
  'log' => '',
  'timestamp' => '1506901425',
  'format' => '1',
))
->execute();
$connection->schema()->createTable('node_type', array(
  'fields' => array(
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'module' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
    ),
    'description' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'medium',
    ),
    'help' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'medium',
    ),
    'has_title' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'unsigned' => TRUE,
    ),
    'title_label' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'has_body' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'unsigned' => TRUE,
    ),
    'body_label' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'min_word_count' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'unsigned' => TRUE,
    ),
    'custom' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'modified' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'locked' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'orig_type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'type',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('node_type')
->fields(array(
  'type',
  'name',
  'module',
  'description',
  'help',
  'has_title',
  'title_label',
  'has_body',
  'body_label',
  'min_word_count',
  'custom',
  'modified',
  'locked',
  'orig_type',
))
->values(array(
  'type' => 'page',
  'name' => 'Page',
  'module' => 'node',
  'description' => "A <em>page</em>, similar in form to a <em>story</em>, is a simple method for creating and displaying information that rarely changes, such as an \"About us\" section of a website. By default, a <em>page</em> entry does not allow visitor comments and is not featured on the site's initial home page.",
  'help' => '',
  'has_title' => '1',
  'title_label' => 'Title',
  'has_body' => '1',
  'body_label' => 'Body',
  'min_word_count' => '0',
  'custom' => '1',
  'modified' => '1',
  'locked' => '0',
  'orig_type' => 'page',
))
->values(array(
  'type' => 'recipe',
  'name' => 'Recipe',
  'module' => 'recipe',
  'description' => 'Share your favorite recipes with your fellow cooks.',
  'help' => '',
  'has_title' => '1',
  'title_label' => 'Title',
  'has_body' => '1',
  'body_label' => 'Body',
  'min_word_count' => '0',
  'custom' => '0',
  'modified' => '1',
  'locked' => '1',
  'orig_type' => 'recipe',
))
->values(array(
  'type' => 'story',
  'name' => 'Story',
  'module' => 'node',
  'description' => "A <em>story</em>, similar in form to a <em>page</em>, is ideal for creating and displaying content that informs or engages website visitors. Press releases, site announcements, and informal blog-like entries may all be created with a <em>story</em> entry. By default, a <em>story</em> entry is automatically featured on the site's initial home page, and provides the ability to post comments.",
  'help' => '',
  'has_title' => '1',
  'title_label' => 'Title',
  'has_body' => '1',
  'body_label' => 'Body',
  'min_word_count' => '0',
  'custom' => '1',
  'modified' => '1',
  'locked' => '0',
  'orig_type' => 'story',
))
->execute();
$connection->schema()->createTable('permission', array(
  'fields' => array(
    'pid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'rid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'perm' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'tid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'pid',
  ),
  'indexes' => array(
    'rid' => array(
      'rid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('permission')
->fields(array(
  'pid',
  'rid',
  'perm',
  'tid',
))
->values(array(
  'pid' => '1',
  'rid' => '1',
  'perm' => 'access content',
  'tid' => '0',
))
->values(array(
  'pid' => '2',
  'rid' => '2',
  'perm' => 'access comments, access content, post comments, post comments without approval',
  'tid' => '0',
))
->execute();
$connection->schema()->createTable('recipe', array(
  'fields' => array(
    'nid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'source' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '255',
    ),
    'yield' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'yield_unit' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
    'instructions' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'notes' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'preptime' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'nid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('recipe')
->fields(array(
  'nid',
  'source',
  'yield',
  'yield_unit',
  'instructions',
  'notes',
  'preptime',
))
->values(array(
  'nid' => '1',
  'source' => 'John Doe',
  'yield' => '1',
  'yield_unit' => 'Servings',
  'instructions' => "Combine water and salt in a glass.\r\n\r\nStir.",
  'notes' => 'Do not consume!',
  'preptime' => '5',
))
->values(array(
  'nid' => '2',
  'source' => 'John Doe',
  'yield' => '1',
  'yield_unit' => 'Servings',
  'instructions' => 'Example instructions.',
  'notes' => 'Example notes.',
  'preptime' => '5',
))
->values(array(
  'nid' => '3',
  'source' => 'Johann Doe',
  'yield' => '1',
  'yield_unit' => 'Servings',
  'instructions' => 'Icelandic instructions.',
  'notes' => 'Icelandic notes.',
  'preptime' => '5',
))
->execute();
$connection->schema()->createTable('recipe_ingredient', array(
  'fields' => array(
    'id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '255',
    ),
    'link' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'id',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('recipe_ingredient')
->fields(array(
  'id',
  'name',
  'link',
))
->values(array(
  'id' => '1',
  'name' => 'water',
  'link' => '0',
))
->values(array(
  'id' => '2',
  'name' => 'salt',
  'link' => '0',
))
->execute();
$connection->schema()->createTable('recipe_node_ingredient', array(
  'fields' => array(
    'id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'unit_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'quantity' => array(
      'type' => 'float',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'ingredient_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'note' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'id',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('recipe_node_ingredient')
->fields(array(
  'id',
  'nid',
  'unit_id',
  'quantity',
  'ingredient_id',
  'weight',
  'note',
))
->values(array(
  'id' => '1',
  'nid' => '1',
  'unit_id' => '11',
  'quantity' => '2',
  'ingredient_id' => '1',
  'weight' => '0',
  'note' => 'cold',
))
->values(array(
  'id' => '2',
  'nid' => '1',
  'unit_id' => '12',
  'quantity' => '1',
  'ingredient_id' => '2',
  'weight' => '0',
  'note' => '',
))
->values(array(
  'id' => '3',
  'nid' => '2',
  'unit_id' => '11',
  'quantity' => '2',
  'ingredient_id' => '1',
  'weight' => '0',
  'note' => 'cold',
))
->values(array(
  'id' => '4',
  'nid' => '3',
  'unit_id' => '11',
  'quantity' => '2',
  'ingredient_id' => '1',
  'weight' => '0',
  'note' => 'cold',
))
->execute();
$connection->schema()->createTable('recipe_unit', array(
  'fields' => array(
    'id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '255',
    ),
    'abbreviation' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '8',
    ),
    'metric' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '6',
      'default' => 'Mass',
    ),
    'aliases' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'id',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('recipe_unit')
->fields(array(
  'id',
  'name',
  'abbreviation',
  'metric',
  'type',
  'aliases',
))
->values(array(
  'id' => '1',
  'name' => 'Slice',
  'abbreviation' => 'sli',
  'metric' => '0',
  'type' => 'Unit',
  'aliases' => '',
))
->values(array(
  'id' => '2',
  'name' => 'Unit',
  'abbreviation' => '',
  'metric' => '0',
  'type' => 'Unit',
  'aliases' => 'each,ea,whole',
))
->values(array(
  'id' => '3',
  'name' => 'Clove',
  'abbreviation' => 'clv',
  'metric' => '0',
  'type' => 'Unit',
  'aliases' => '',
))
->values(array(
  'id' => '4',
  'name' => 'Pinch',
  'abbreviation' => 'pn',
  'metric' => '0',
  'type' => 'Unit',
  'aliases' => '',
))
->values(array(
  'id' => '5',
  'name' => 'Package',
  'abbreviation' => 'pk',
  'metric' => '0',
  'type' => 'Unit',
  'aliases' => 'pack',
))
->values(array(
  'id' => '6',
  'name' => 'Can',
  'abbreviation' => 'cn',
  'metric' => '0',
  'type' => 'Unit',
  'aliases' => 'jar',
))
->values(array(
  'id' => '7',
  'name' => 'Drop',
  'abbreviation' => 'dr',
  'metric' => '0',
  'type' => 'Unit',
  'aliases' => '',
))
->values(array(
  'id' => '8',
  'name' => 'Bunch',
  'abbreviation' => 'bn',
  'metric' => '0',
  'type' => 'Unit',
  'aliases' => '',
))
->values(array(
  'id' => '9',
  'name' => 'Dash',
  'abbreviation' => 'ds',
  'metric' => '0',
  'type' => 'Unit',
  'aliases' => '',
))
->values(array(
  'id' => '10',
  'name' => 'Carton',
  'abbreviation' => 'ct',
  'metric' => '0',
  'type' => 'Unit',
  'aliases' => '',
))
->values(array(
  'id' => '11',
  'name' => 'Cup',
  'abbreviation' => 'c',
  'metric' => '0',
  'type' => 'Volume',
  'aliases' => '',
))
->values(array(
  'id' => '12',
  'name' => 'Tablespoon',
  'abbreviation' => 'T',
  'metric' => '0',
  'type' => 'Volume',
  'aliases' => 'tbsp,tb',
))
->values(array(
  'id' => '13',
  'name' => 'Teaspoon',
  'abbreviation' => 't',
  'metric' => '0',
  'type' => 'Volume',
  'aliases' => 'tsp',
))
->values(array(
  'id' => '14',
  'name' => 'Pound',
  'abbreviation' => 'lb',
  'metric' => '0',
  'type' => 'Mass',
  'aliases' => '',
))
->values(array(
  'id' => '15',
  'name' => 'Ounce',
  'abbreviation' => 'oz',
  'metric' => '0',
  'type' => 'Mass',
  'aliases' => '',
))
->values(array(
  'id' => '16',
  'name' => 'Pint',
  'abbreviation' => 'pt',
  'metric' => '0',
  'type' => 'Volume',
  'aliases' => '',
))
->values(array(
  'id' => '17',
  'name' => 'Quart',
  'abbreviation' => 'q',
  'metric' => '0',
  'type' => 'Volume',
  'aliases' => '',
))
->values(array(
  'id' => '18',
  'name' => 'Gallon',
  'abbreviation' => 'gal',
  'metric' => '0',
  'type' => 'Volume',
  'aliases' => '',
))
->values(array(
  'id' => '19',
  'name' => 'Milligram',
  'abbreviation' => 'mg',
  'metric' => '1',
  'type' => 'Mass',
  'aliases' => '',
))
->values(array(
  'id' => '20',
  'name' => 'Centigram',
  'abbreviation' => 'cg',
  'metric' => '1',
  'type' => 'Mass',
  'aliases' => '',
))
->values(array(
  'id' => '21',
  'name' => 'Gram',
  'abbreviation' => 'g',
  'metric' => '1',
  'type' => 'Mass',
  'aliases' => '',
))
->values(array(
  'id' => '22',
  'name' => 'Kilogram',
  'abbreviation' => 'kg',
  'metric' => '1',
  'type' => 'Mass',
  'aliases' => '',
))
->values(array(
  'id' => '23',
  'name' => 'Millilitre',
  'abbreviation' => 'ml',
  'metric' => '1',
  'type' => 'Volume',
  'aliases' => '',
))
->values(array(
  'id' => '24',
  'name' => 'Centilitre',
  'abbreviation' => 'cl',
  'metric' => '1',
  'type' => 'Volume',
  'aliases' => '',
))
->values(array(
  'id' => '25',
  'name' => 'Litre',
  'abbreviation' => 'l',
  'metric' => '1',
  'type' => 'Volume',
  'aliases' => '',
))
->values(array(
  'id' => '26',
  'name' => 'Decilitre',
  'abbreviation' => 'dl',
  'metric' => '1',
  'type' => 'Volume',
  'aliases' => '',
))
->values(array(
  'id' => '27',
  'name' => 'Tablespoon (Metric)',
  'abbreviation' => 'tbsp',
  'metric' => '1',
  'type' => 'Volume',
  'aliases' => 'T',
))
->values(array(
  'id' => '28',
  'name' => 'Teaspoon (Metric)',
  'abbreviation' => 'tsp',
  'metric' => '1',
  'type' => 'Volume',
  'aliases' => 't',
))
->values(array(
  'id' => '29',
  'name' => 'Unknown',
  'abbreviation' => 'Unknown',
  'metric' => '0',
  'type' => 'Unit',
  'aliases' => '',
))
->execute();
$connection->schema()->createTable('role', array(
  'fields' => array(
    'rid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'rid',
  ),
  'unique keys' => array(
    'name' => array(
      'name',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('role')
->fields(array(
  'rid',
  'name',
))
->values(array(
  'rid' => '1',
  'name' => 'anonymous user',
))
->values(array(
  'rid' => '2',
  'name' => 'authenticated user',
))
->execute();

$connection->schema()->createTable('system', array(
  'fields' => array(
    'filename' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'owner' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'status' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'throttle' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'bootstrap' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'schema_version' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '-1',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'info' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'filename',
  ),
  'indexes' => array(
    'modules' => array(
      array(
        'type',
        '12',
      ),
      'status',
      'weight',
      'filename',
    ),
    'bootstrap' => array(
      array(
        'type',
        '12',
      ),
      'status',
      'bootstrap',
      'weight',
      'filename',
    ),
    'type_name' => array(
      array(
        'type',
        '12',
      ),
      'name',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('system')
->fields(array(
  'filename',
  'name',
  'type',
  'owner',
  'status',
  'throttle',
  'bootstrap',
  'schema_version',
  'weight',
  'info',
))
->values(array(
  'filename' => 'modules/filter/filter.module',
  'name' => 'filter',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '0',
  'info' => 'a:8:{s:4:"name";s:6:"Filter";s:11:"description";s:60:"Handles the filtering of content in preparation for display.";s:7:"package";s:15:"Core - required";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/locale/locale.module',
  'name' => 'locale',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6007',
  'weight' => '0',
  'info' => 'a:8:{s:4:"name";s:6:"Locale";s:11:"description";s:119:"Adds language handling functionality and enables the translation of the user interface to languages other than English.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/node/node.module',
  'name' => 'node',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '0',
  'info' => 'a:8:{s:4:"name";s:4:"Node";s:11:"description";s:66:"Allows content to be submitted to the site and displayed on pages.";s:7:"package";s:15:"Core - required";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/system/system.module',
  'name' => 'system',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6056',
  'weight' => '0',
  'info' => 'a:8:{s:4:"name";s:6:"System";s:11:"description";s:54:"Handles general site configuration for administrators.";s:7:"package";s:15:"Core - required";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/translation/translation.module',
  'name' => 'translation',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '0',
  'info' => 'a:8:{s:4:"name";s:19:"Content translation";s:11:"description";s:57:"Allows content to be translated into different languages.";s:12:"dependencies";a:1:{i:0;s:6:"locale";}s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/user/user.module',
  'name' => 'user',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '0',
  'info' => 'a:8:{s:4:"name";s:4:"User";s:11:"description";s:47:"Manages the user registration and login system.";s:7:"package";s:15:"Core - required";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/recipe/recipe.module',
  'name' => 'recipe',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6104',
  'weight' => '0',
  'info' => 'a:8:{s:4:"name";s:6:"Recipe";s:11:"description";s:28:"Collect and display recipes.";s:12:"dependencies";a:1:{i:0;s:8:"taxonomy";}s:7:"package";s:6:"Recipe";s:4:"core";s:3:"6.x";s:10:"dependents";a:0:{}s:7:"version";N;s:3:"php";s:5:"4.3.5";}',
))
->execute();

$connection->schema()->createTable('users', array(
  'fields' => array(
    'uid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '60',
      'default' => '',
    ),
    'pass' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'mail' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '64',
      'default' => '',
    ),
    'mode' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'sort' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'threshold' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'theme' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'signature' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'signature_format' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'access' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'login' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'status' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'timezone' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '8',
    ),
    'language' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '12',
      'default' => '',
    ),
    'picture' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'init' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '64',
      'default' => '',
    ),
    'data' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
  ),
  'primary key' => array(
    'uid',
  ),
  'unique keys' => array(
    'name' => array(
      'name',
    ),
  ),
  'indexes' => array(
    'access' => array(
      'access',
    ),
    'created' => array(
      'created',
    ),
    'mail' => array(
      'mail',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('users')
->fields(array(
  'uid',
  'name',
  'pass',
  'mail',
  'mode',
  'sort',
  'threshold',
  'theme',
  'signature',
  'signature_format',
  'created',
  'access',
  'login',
  'status',
  'timezone',
  'language',
  'picture',
  'init',
  'data',
))
->values(array(
  'uid' => '1',
  'name' => 'root',
  'pass' => '63a9f0ea7bb98050796b649e85481845',
  'mail' => 'root@localhost',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'signature_format' => '0',
  'created' => '0',
  'access' => '1543973668',
  'login' => '1543973668',
  'status' => '1',
  'timezone' => NULL,
  'language' => '',
  'picture' => '',
  'init' => 'root@localhost',
  'data' => 'b:0;',
  'timezone_name' => '',
  'pass_plain' => 'root',
  'expected_timezone' => NULL,
  'timezone_id' => '0',
))
->execute();
$connection->schema()->createTable('users_roles', array(
  'fields' => array(
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'rid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'uid',
    'rid',
  ),
  'indexes' => array(
    'rid' => array(
      'rid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('variable', array(
  'fields' => array(
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'value' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'big',
    ),
  ),
  'primary key' => array(
    'name',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('variable')
->fields(array(
  'name',
  'value',
))
->values(array(
  'name' => 'recipe_fraction_display',
  'value' => 's:10:"{%d }%d/%d";',
))
->values(array(
  'name' => 'recipe_ingredient_name_normalize',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'recipe_preferred_system_of_measure',
  'value' => 's:1:"0";',
))
->values(array(
  'name' => 'recipe_unit_display',
  'value' => 's:1:"1";',
))
->execute();
